{% use "form/bootstrap_4_layout.html.twig" %}

{# Widgets #}
{% block checkbox_widget %}
    {% spaceless %}
        <input class="form-check-input" type="checkbox" {{ block('widget_attributes') }} {% if checked %} checked="checked"{% endif %} />
        <label class="form-check-label {{ label_attr.class }}" for="{{ id }}">{{ label|raw }}</label>
    {% endspaceless %}
{% endblock checkbox_widget %}

{% block choice_widget_collapsed -%}
    {% set attr = attr|merge({class: (attr.class|default('') ~ ' mdb-select mr-2')|trim}) %}
    {%- if required and placeholder is none and not placeholder_in_choices and not multiple and (attr.size is not defined or attr.size <= 1) -%}
        {% set required = false %}
    {%- endif -%}
    <select {{ block('widget_attributes') }}{% if multiple %} multiple="multiple"{% endif %}>
        {%- if placeholder is not none -%}
            <option value=""{% if required and value is empty %} selected="selected"{% endif %}>{{ placeholder != '' ? (translation_domain is same as(false) ? placeholder : placeholder|trans({}, translation_domain)) }}</option>
        {%- endif -%}
        {%- if preferred_choices|length > 0 -%}
            {% set options = preferred_choices %}
            {{- block('choice_widget_options') -}}
            {%- if choices|length > 0 and separator is not none -%}
                <option disabled="disabled">{{ separator }}</option>
            {%- endif -%}
        {%- endif -%}
        {%- set options = choices -%}
        {{- block('choice_widget_options') -}}
    </select>
    {#{{- parent() -}}#}
{%- endblock %}

{% block form_widget_simple -%}
    {%- set type = type|default('text') -%}
    {% if type is not defined or type not in ['file', 'hidden'] %}
        {%- set success = required or value|length > 0 %}
        {%- set validFeed = (valid == false) ? 'is-invalid' : ( (submitted and success)? 'is-valid' : '' ) %}
        {%- set attr = attr|merge({class: (attr.class|default('') ~ ' form-control ' ~ validFeed)|trim}) -%}
    {% endif %}
    <input type="{{ type }}" {{ block('widget_attributes') }} {% if value is not empty %}value="{{ value }}" {% endif %}/>
{%- endblock form_widget_simple %}

{# Rows #}

{% block form_row -%}
    <div class="md-form">
        {{- form_label(form) -}}
        {{- form_widget(form) -}}
        {{- form_errors(form) -}}
    </div>
{%- endblock form_row %}

{# Labels #}

{% block form_label -%}
    {%- set label_attr = label_attr|merge({class: (label_attr.class|default('') ~ ' active control-label')|trim}) -%}
    {{- parent() -}}
{%- endblock form_label %}

{# Errors #}
{% block form_errors -%}
    {% if errors|length > 0 -%}
    <div class="invalid-feedback">
        <ul class="list-unstyled">
            {%- for error in errors -%}
                <li><span class="glyphicon glyphicon-exclamation-sign"></span> {{ error.message }}</li>
            {%- endfor -%}
        </ul>
    </div>
    {%- endif %}
{%- endblock form_errors %}
{# Errors #}
